stream out
variable var_char char(100)
variable instr_char char(100)
variable p_h_label char(30) upshift
variable p_t_label char(34) default "         ..."
variable npage smallint format "###"
variable col_label smallint
variable col_npage smallint
variable shead smallint
variable strail smallint default 3
variable row_last smallint
variable optsel char(1)

frame fr_format
screen
{	
 % %        /                  / 
         top   :     [t ]      % 
 % %        / 
         PAGE HEADER             
   %                           s 
                               i  
 / /     left  :     [l ]      z :[s ] 
                               e  
		
 /       right :    [r  ]  /              
                           *             
                                        
         PAGE TRAILER            
            /              * *   
         bottom:     [b ]      * 
            /              * * / 
}
end screen
variables
s=rsize smallint format  "#&"  default 66
t=rtop smallint format  "#&"  default 3
b=rbottom smallint format  "#&"   default 3
l=rleft smallint format  "#&"  default 3
r=rright smallint format  "##&"  default 132
end variables
editing
	before editadd of fr_format
		let rright = aux_right + rleft
end editing
layout
	line 3
	column 20
